
Smart Proxy - Bug #4237

Cannot require rgen/metamodel in foreman-proxy with 1.4.0 on Fedora 19 (clean install)

02/03/2014 01:53 PM - James Read

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi folks,

I installed a fresh Fedora 19 virtual machine for Foreman, fully yum updated. I downloaded the foreman-release.rpm using the link

provided in the documentation (1.4.0) and installed using no special arguments with the foreman-installer (1.4.0 1.fc19, Build date

Wed 29 Jan 2014 02:11:32 PM GMT).

PostgreSQL failed to start from the puppet installer, so I bounced the service manually and it worked fine. foreman-proxy also failed

to start, but I cannot bounce this service manually. I get this error;

Feb  3 13:36:50 localhost smart-proxy

15290

: /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load

such file -- rgen/metamodel_builder (LoadError)

Attached /var/log/messages and foreman-installer.log for your viewing pleasure. :)

History

#1 - 02/03/2014 01:54 PM - James Read

- File foreman-installer.log added

- File var_log_messages added

#2 - 02/03/2014 03:04 PM - Dominic Cleal

- Status changed from New to Rejected

- translation missing: en.field_release deleted (2)

This is a bug in the Fedora puppet package, which will soon be fixed: https://bugzilla.redhat.com/show_bug.cgi?id=1051613.

In the meantime, you can install "rubygem-rgen" manually or use the Puppet Labs packages from yum.puppetlabs.com.

Files

foreman-installer.log 478 KB 02/03/2014 James Read

var_log_messages 69.9 KB 02/03/2014 James Read
